﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="ComboInFormView_Default" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server" />
        <div>
            <asp:FormView ID="FormView1" runat="server" AllowPaging="True" Caption="User Details" OnItemCreated="FormView1_ItemCreated"
                DataSourceID="AccessDataSource1" DataKeyNames="ID"
                CaptionAlign="Left" BackColor="#DEBA84" BorderColor="#DEBA84" BorderStyle="None" BorderWidth="1px" CellPadding="3" CellSpacing="2" GridLines="Both">
                <EmptyDataTemplate>
                    <telerik:RadButton runat="server" ID="Button" Text="ClickMe"></telerik:RadButton>
                </EmptyDataTemplate>
                <EditItemTemplate>
                    Username:
                    <asp:TextBox ID="UsernameTextBox" runat="server" Text='<%# Bind("Username") %>'>
                    </asp:TextBox><br />
                    Password:
                    <asp:TextBox ID="PasswordTextBox" runat="server" Text='<%# Bind("Password") %>'>
                    </asp:TextBox><br />
                    Country:
                    <telerik:RadComboBox ID="RadComboBox1" runat="server"
                        DataSourceID="AccessDataSource2"
                        DataTextField="Name"
                        OnClientLoad="OnClientLoadHandler"
                        EnableAutomaticLoadOnDemand="true" ItemsPerRequest="10" EnableVirtualScrolling="true"
                        DataValueField="CountryID">
                    </telerik:RadComboBox>
                    <asp:AccessDataSource ID="AccessDataSource2" runat="server" DataFile="~/App_Data/Countries.mdb"
                        SelectCommand="SELECT [ID] as CountryID, [Name] FROM Countries"></asp:AccessDataSource>
                    <br />
                    <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" CommandName="Update"
                        Text="Update">
                    </asp:LinkButton>
                    <asp:LinkButton ID="UpdateCancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                        Text="Cancel">
                    </asp:LinkButton>
                    <asp:LinkButton ID="LinkButton1" runat="server" CausesValidation="True" Text="Show SelectedValue and Change The Skin of the Combo" OnClientClick="getComboValue()" OnClick="LinkButton1_Click"></asp:LinkButton>
                </EditItemTemplate>
                <InsertItemTemplate>
                    Username:
                    <asp:TextBox ID="UsernameTextBox" runat="server" Text='<%# Bind("Username") %>'>
                    </asp:TextBox><br />
                    Password:
                    <asp:TextBox ID="PasswordTextBox" runat="server" Text='<%# Bind("Password") %>'>
                    </asp:TextBox><br />
                    Name:
                   <telerik:RadComboBox ID="RadComboBox2" runat="server"
                       DataSourceID="AccessDataSource3"
                       DataTextField="Name"
                       DataValueField="CountryID">
                   </telerik:RadComboBox>
                    <asp:AccessDataSource ID="AccessDataSource3" runat="server" DataFile="~/App_Data/Countries.mdb"
                        SelectCommand="SELECT [ID] as CountryID, [Name] FROM Countries"></asp:AccessDataSource>

                    <br />
                    <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" CommandName="Insert"
                        Text="Insert">
                    </asp:LinkButton>
                    <asp:LinkButton ID="InsertCancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                        Text="Cancel">
                    </asp:LinkButton>
                </InsertItemTemplate>
                <ItemTemplate>
                    Username:
                    <asp:Label ID="UsernameLabel" runat="server" Text='<%# Bind("Username") %>'></asp:Label><br />
                    Password:
                    <asp:Label ID="PasswordLabel" runat="server" Text='<%# Bind("Password") %>'></asp:Label><br />
                    Country:
                    <asp:Label ID="NameLabel" runat="server" Text='<%# Bind("Name") %>'></asp:Label><br />
                    <asp:LinkButton ID="EditButton" runat="server" CausesValidation="False" CommandName="Edit"
                        Text="Edit">
                    </asp:LinkButton>
                    <asp:LinkButton ID="DeleteButton" runat="server" CausesValidation="False" CommandName="Delete"
                        Text="Delete">
                    </asp:LinkButton>
                    <asp:LinkButton ID="NewButton" runat="server" CausesValidation="False" CommandName="New"
                        Text="New">
                    </asp:LinkButton>
                </ItemTemplate>
                <FooterStyle BackColor="#F7DFB5" ForeColor="#8C4510" />
                <RowStyle BackColor="#FFF7E7" ForeColor="#8C4510" />
                <PagerStyle ForeColor="#8C4510" HorizontalAlign="Center" />
                <HeaderStyle BackColor="#A55129" Font-Bold="True" ForeColor="White" />
                <EditRowStyle BackColor="#738A9C" Font-Bold="True" ForeColor="White" />
            </asp:FormView>
            <asp:AccessDataSource ID="AccessDataSource1" runat="server" DataFile="~/App_Data/Countries.mdb"
                SelectCommand="SELECT u.ID, u.Username, u.Password, c.[Name], u.CountryID FROM [Users] u, Countries c WHERE u.CountryID = c.ID"
                UpdateCommand="UPDATE [Users] SET [Username] = @Username, [Password] = @Password, CountryID = @CountryID WHERE [ID] = @ID"
                DeleteCommand="DELETE FROM [Users] WHERE [ID] = ?"
                InsertCommand="INSERT INTO [Users] ([Username], [Password], [CountryID]) VALUES ( ?, ?, ?)">
                <UpdateParameters>
                    <asp:Parameter Name="Username" Type="String" />
                    <asp:Parameter Name="Password" Type="String" />
                    <asp:ControlParameter Name="CountryID" ControlID="FormView1$RadComboBox1" PropertyName="SelectedValue" Type="Int32" />
                    <asp:Parameter Name="ID" Type="Int32" />
                </UpdateParameters>
                <DeleteParameters>
                    <asp:Parameter Name="ID" Type="Int32" />
                </DeleteParameters>
                <InsertParameters>
                    <asp:Parameter Name="Username" Type="String" />
                    <asp:Parameter Name="Password" Type="String" />
                    <asp:ControlParameter Name="CountryID" ControlID="FormView1$RadComboBox2" PropertyName="SelectedValue" Type="Int32" />
                </InsertParameters>
            </asp:AccessDataSource>
        </div>

        <script type="text/javascript">
            var citiesCombo;

            function OnClientLoadHandler(sender, eventArgs) {
                citiesCombo = sender;
            }

            function getComboValue() {
                var combo = Telerik.Web.UI.RadComboBox.ComboBoxes[0];
                alert("Using Telerik ComboBoxes array:\nValue = " + combo.get_value());
                alert("Using OnClientLoad handler:\nValue = " + citiesCombo.get_value());
            }
        </script>
    </form>
</body>
</html>
